package com.dgtly.system.domain;

/**
 * @description:个人/公司认证配置信息
 * @author:qxm
 * @date:2020/10/14 15:51
 */
public class ConfigParams {
    /**指定个人认证页面上不可修改的基本信息。
    如果创建e签宝个人账号时传入了姓名和证件号，
    则页面上姓名和证件号固定不可修改；如果创建e签宝个人账号时未传入姓名和证件号，
    则可通过此参数指定页面上姓名和证件号是否可修改。
    name - 姓名； certNo - 证件号； mobileNo - 手机号；bankCardNo - 银行卡号；不指定表示可以修改*/
    public String[] indivUneditableInfo;

    /**指定页面上不可修改的信息属性。
     创建e签宝账号时传入的信息属性在页面上固定不可修改；未传入的信息属性可通过此参数指定在页面上是否可修改，
     未指定的信息属性可以修改。
     name组织机构名称
     certNo组织机构证件号
     legalRepName法定代表人姓名
     legalRepCertNo法定代表人身份证号
     agentName经办人姓名
     agentIdNo经办人证件号*/
    public String[] orgUneditableInfo;

    public String[] getIndivUneditableInfo() {
        return indivUneditableInfo;
    }

    public void setIndivUneditableInfo(String[] indivUneditableInfo) {
        this.indivUneditableInfo = indivUneditableInfo;
    }

    public String[] getOrgUneditableInfo() {
        return orgUneditableInfo;
    }

    public void setOrgUneditableInfo(String[] orgUneditableInfo) {
        this.orgUneditableInfo = orgUneditableInfo;
    }

    public ConfigParams(String[] indivUneditableInfo,String[] orgUneditableInfo){
        this.indivUneditableInfo = indivUneditableInfo;
        this.orgUneditableInfo = orgUneditableInfo;
    }
    public ConfigParams(){}
}
